The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> wcwidth - number of column positions of a wide-character code

#### SYNOPSIS

> ``[XSI] #include <wchar.h>
> int wcwidth(wchar_t` wc`);``
> `
> `

#### DESCRIPTION

> The wcwidth() function shall determine the number of column positions required for the wide character wc. The application shall ensure that the value of wc is a character representable as a wchar_t, and is a wide-character code corresponding to a valid character in the current locale.

#### RETURN VALUE

> The wcwidth() function shall either return 0 (if wc is a null wide-character code), or return the number of column positions to be occupied by the wide-character code wc, or return -1 (if wc does not correspond to a printable wide-character code).

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> This function was removed from the final ISO/IEC 9899:1990/Amendment 1:1995 (E), and the return value for a non-printable wide character is not specified.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> wcswidth(), the Base Definitions volume of IEEE Std 1003.1-2001, <wchar.h>

#### CHANGE HISTORY

> First released as a World-wide Portability Interface in Issue 4. Derived from the MSE working draft.

#### Issue 6

> The Open Group Corrigendum U021/12 is applied. This function is marked as an extension.

> The DESCRIPTION is updated to avoid use of the term "must" for application requirements.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]